<?php
defined('_JEXEC') or die('Restricted access');

class plgJshoppingAdminattr_value_description extends JPlugin
{
	function __construct(&$subject, $config){
		parent::__construct($subject, $config);
	}

	function onBeforeEditAtributesValues(&$view) {
		if (!isset($view->etemplatevar)) $view->etemplatevar = '';
		foreach($view->languages as $lang){
			$field = "description_".$lang->language;
			$view->etemplatevar .= '<tr><td class="key">'.\JText::_('JSHOP_DESCRIPTION');
			if ($view->multilang) $view->etemplatevar .= ' ('.$lang->lang.')'; 
			$editor = \JEditor::getInstance(\JFactory::getConfig()->get('editor'));
			$view->etemplatevar .= '</td><td>'.$editor->display($field, $view->attributValue->$field , '100%', '350', '75', '20' ).'</td></tr>';
		}
	}
	
	function onBeforeSaveAttributValue(&$post) {
		$_lang = self::getModel('Languages','JshoppingModel');
        $languages = $_lang->getAllLanguages(1);
        foreach($languages as $lang){
			$field = "description_".$lang->language;
            $post[$field] = \JFactory::getApplication()->input->getVar($field,'','post','string',2);
        }
	}
	
	public static function getModel($name,$pref){
		return JVERSION >= '3.0.0' 
			? \JSFactory::getModel($name, $pref)
			: JModel::getInstance($name,$pref);
	}
}